"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnknownManagerError = exports.InvalidModeError = void 0;
const utils_1 = require("./utils");
class InvalidModeError extends Error {
    constructor() {
        super(...arguments);
        this.message = `Invalid binary data mode. Valid modes: ${utils_1.CONFIG_MODES.join(', ')}`;
    }
}
exports.InvalidModeError = InvalidModeError;
class UnknownManagerError extends Error {
    constructor(mode) {
        super(`No binary data manager found for: ${mode}`);
    }
}
exports.UnknownManagerError = UnknownManagerError;
//# sourceMappingURL=errors.js.map